[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetPaletteEntries

Retrieves a range of color entries from a logical palette.

## Declaration

Source position: winapih.inc line 136

`public function TWidgetSet.GetPaletteEntries(`
`Palette: HPALETTE;`
`StartIndex: UINT;`
`NumEntries: UINT;`
`var PaletteEntries`
`):UINT; virtual;`

## Arguments

`Palette` |  | The palette handle.
`StartIndex` |  | The first entry.
`NumEntries` |  | The number of entries to retrieve.
`PaletteEntries` |  | Array of PALETTEENTRY records, receiving the information.

## Function result

The number of entries copied.